<?php
/**
 * Created by PhpStorm.
 * User: fredd
 * Date: 30/04/2017
 * Time: 11:04
 */

namespace Webberdoo\BTC\AppBundle\Controllers;


class AcfController
{

    function __construct() {

        // vars
        $this->settings = array(
            'version'	=> '1.0.0',
            'url'		=> plugin_dir_url( __FILE__ ),
            'path'		=> plugin_dir_path( __FILE__ )
        );

        // set text domain
        // https://codex.wordpress.org/Function_Reference/load_plugin_textdomain
        load_plugin_textdomain( 'acf-btc_timezone', false, plugin_basename( dirname( __FILE__ ) ) . '/lang' );

        // include field
        add_action('acf/include_field_types', 	array($this, 'include_field_types')); // v5

    }

    function include_field_types( $version = false ) {

        // support empty $version
        if( !$version ) $version = 5;

        // include
        include_once(__DIR__.'/../Fields/acf_btc_sc-v' . $version . '.php');

    }
}